# Welcome to Mago!
# For full documentation, see https://mago.carthage.software/tools/overview
php-version = "8.3.0"

[source]
workspace = "."
paths = ["app/", "database/factories/", "database/seeders/", "tests/"]
includes = ["vendor"]
excludes = []

[formatter]
preset = "default"
space-before-arrow-function-parameter-list-parenthesis = true

[linter]
integrations = ["laravel", "phpunit"]

[linter.rules]
ambiguous-function-call = { enabled = false }
literal-named-argument = { enabled = false }
halstead = { effort-threshold = 7000 }
braced-string-interpolation = { enabled = false }
strict-types = { enabled = false }
no-boolean-flag-parameter = { enabled = false }
no-literal-password = { enabled = false }
final-controller = { enabled = false }
excessive-parameter-list = { enabled = false }
no-else-clause = { enabled = false }
no-shorthand-ternary = { enabled = false }
no-isset = { enabled = false }
prefer-arrow-function = { enabled = false }
too-many-methods = { threshold = 14, exclude = ["tests/"] }

[analyzer]
plugins = []
find-unused-definitions = true
find-unused-expressions = false
analyze-dead-code = false
memoize-properties = true
allow-possibly-undefined-array-keys = true
check-throws = false
check-missing-override = false
find-unused-parameters = false
strict-list-index-checks = false
no-boolean-literal-comparison = false
check-missing-type-hints = false
register-super-globals = true
